=== modified file 'bzrlib/lsprof.py'
--- bzrlib/lsprof.py	2007-10-16 16:02:01 +0000
+++ bzrlib/lsprof.py	2007-10-16 18:26:12 +0000
@@ -190,7 +190,7 @@
             out_file.write('fi=%s\n' % (code.co_filename,))
         out_file.write('fn=%s\n' % (label(code, True),))
         if isinstance(code, str):
-            out_file.write('0  ' + inlinetime + '\n')
+            out_file.write('0  %s\n' % (inlinetime,))
         else:
             out_file.write('%d %d\n' % (code.co_firstlineno, inlinetime))
         # recursive calls are counted in entry.calls

=== modified file 'bzrlib/tests/test_plugins.py'
--- bzrlib/tests/test_plugins.py	2007-10-16 16:02:01 +0000
+++ bzrlib/tests/test_plugins.py	2007-10-16 18:26:12 +0000
@@ -174,7 +174,7 @@
         outfile = open(os.path.join('plugin_test', 'ts_plugin.py'), 'w')
         try:
             outfile.write(template % (tempattribute, 'plugin'))
-            ourfile.write('\n')
+            outfile.write('\n')
         finally:
             outfile.close()
 

=== modified file 'bzrlib/weavefile.py'
--- bzrlib/weavefile.py	2007-10-16 17:37:43 +0000
+++ bzrlib/weavefile.py	2007-10-16 18:26:12 +0000
@@ -60,7 +60,7 @@
             # mininc = weave.minimal_parents(version)
             mininc = included
             f.write('i ')
-            f.write(' '.join(mininc))
+            f.write(' '.join(str(i) for i in mininc))
             f.write('\n')
         else:
             f.write('i\n')
@@ -82,7 +82,7 @@
                 f.write(', \n')
             elif l[-1] == '\n':
                 assert l.find('\n', 0, -1) == -1
-                f.write('. ' + l + ' ')
+                f.write('. ' + l)
             else:
                 assert l.find('\n') == -1
                 f.write(', ' + l + '\n')

